Mobike/urls.py
from django.contrib import admin
from django.urls import path
from django.urls import include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include("MobikeApp.urls")),
]

MobikeApp/urls.py
from django.urls import path
from MobikeApp import views
from django.contrib.auth.views import LoginView, login_required,logout_then_login
from .views import Registro, login, AdminGestionarUsuario, AdminReportes, AdminView,UsuarioView, FuncionarioView, FuncionarioReporte

urlpatterns = [
    path('', views.login, name="Login"),
    path('registro/', Registro.as_view(), name="Registro"),
    path('admin-mobike/', AdminView.as_view(), name="Admin-mobike"),
    path('admin-mobike/gestionar-usuario/', AdminGestionarUsuario.as_view(), name="GestionarUsuarios"),
    path('admin-mobike/reportes/', AdminReportes.as_view(), name="Admin-Reportes"),
    path('usuario/', UsuarioView.as_view(),name="Usuario"),
    path('funcionario/', FuncionarioView.as_view(),name="Funcionario"),
    path('funcionario/reportes/', FuncionarioReporte.as_view(),name="FuncionarioReportes"),
]
 

MobikeApp/models.py
from django.db import models

# Create your models here.

MobikeApp/forms.py
from django import forms

class FormularioLogin(forms.Form):
    usuario = forms.CharField(label="Nombre de usuario")
    password = forms.CharField(label="Password", widget=forms.PasswordInput, strip=False)

MobikeApp/views.py
from django.shortcuts import render
from django.shortcuts import render, HttpResponse
from MobikeApp.forms import FormularioLogin
from django.views.generic.base import TemplateView

#-----------------------------------------------------------------------# 
class Registro(TemplateView):

    template_name = "MobikeApp/registro.html"
#-----------------------------------------------------------------------# 

def login(request):

    if request.method == "POST":
        miFormulario = FormularioLogin(request.POST)

        if miFormulario.is_valid():

            form=miFormulario.cleaned_data

            if form.get('usuario') == "admin":
                return render(request, "MobikeApp/admin.html")

            elif form.get('usuario') == "funcionario":
                return render(request, "Mobikeapp/funcionario.html")

            elif form.get('usuario') == "usuario":
                return render(request, "Mobikeapp/usuario.html")
            
            else:
                return render(request, "Mobikeapp/inicioMal.html")

    else:
        miFormulario = FormularioLogin()
        return render(request, "Mobikeapp/login.html", {"form": miFormulario})

#-----------------------------------------------------------------------# 


class AdminView(TemplateView):

    template_name = "MobikeApp/admin.html"

class AdminGestionarUsuario(TemplateView):
    template_name = "MobikeApp/admin-gestionar-usuario.html"
    
    


class AdminReportes(TemplateView):

    template_name = "MobikeApp/admin-reportes.html"

#-----------------------------------------------------------------------# 
class UsuarioView(TemplateView):
    template_name = "MobikeApp/usuario.html"

#-----------------------------------------------------------------------# 
class FuncionarioView(TemplateView):
    template_name = "MobikeApp/funcionario.html"

class FuncionarioReporte(TemplateView):
    template_name = "MobikeApp/funcionario-reportes.html"

MobikeApp/templates/MobikeApp/admin-gestionar-usuario.html
{% extends 'MobikeApp/base/base.html' %}
{% load static %}
{%block nav%}
<nav>
    <ul id="mainmenu">    
        <li><a href="{% url 'Admin-mobike' %}">Atras</a></li>                            
        <li><a href="{% url 'Login' %}">Cerrar sesion</a></li>
    </ul>
</nav>
{%endblock%}

{% block content %}

<!-- section begin -->
<section id="section-about">
    <div class="container">

            <div class="row">
                <div class="col-md-6 col-md-offset-3 text-center">
                    <h1 class="animated h3" data-animation="fadeInUp">Gestion de usuarios Mobike
                        <span class="small-border animated" data-animation="fadeInUp"></span>
                    </h1>                           
                </div>
            </div>



            <div class="btn-agregar-user">
                <button>Agregar usuario</button>
            </div>
            
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">                      
                <thead>
                    <tr>
                        <th>Nombres</th>
                        <th>Apellidos</th>
                        <th>Edad</th>
                        <th>Email</th>
                        <th>Direccion</th>
                        <th>Fecha registro</th>
                        <th>Acciones</th>
                    </tr>
                </thead>
               
                <tbody>
                  

                  <tr>
                    <td>Juanito Esteban</td>
                    <td>Perez Huachimingo</td>
                    <td>32</td>
                    <td>huachimingo.p@gmail.com</td>
                    <td>Parque jurasico 123</td>
                    <td>15/11/2020</td>
                    <td class="icon-table">
                        <i class="fas fa-pen-square"></i>
                        <i class="fas fa-minus-square"></i>
                        <button>Ver más</button>
                    </td>                           
                  </tr>

                  <tr>
                    <td>Juanito Esteban</td>
                    <td>Perez Huachimingo</td>
                    <td>32</td>
                    <td>huachimingo.p@gmail.com</td>
                    <td>Parque jurasico 123</td>
                    <td>15/11/2020</td>
                    <td class="icon-table">
                        <i class="fas fa-pen-square"></i>
                        <i class="fas fa-minus-square"></i>
                        <button>Ver más</button>
                    </td>                           
                  </tr>

                  <tr>
                    <td>Juanito Esteban</td>
                    <td>Perez Huachimingo</td>
                    <td>32</td>
                    <td>huachimingo.p@gmail.com</td>
                    <td>Parque jurasico 123</td>
                    <td>15/11/2020</td>
                    <td class="icon-table">
                        <i class="fas fa-pen-square"></i>
                        <i class="fas fa-minus-square"></i>
                        <button>Ver más</button>
                    </td>                           
                  </tr>

                  <tr>
                    <td>Juanito Esteban</td>
                    <td>Perez Huachimingo</td>
                    <td>32</td>
                    <td>huachimingo.p@gmail.com</td>
                    <td>Parque jurasico 123</td>
                    <td>15/11/2020</td>
                    <td class="icon-table">
                        <i class="fas fa-pen-square"></i>
                        <i class="fas fa-minus-square"></i>
                        <button>Ver más</button>
                    </td>                           
                  </tr>

                  <tr>
                    <td>Juanito Esteban</td>
                    <td>Perez Huachimingo</td>
                    <td>32</td>
                    <td>huachimingo.p@gmail.com</td>
                    <td>Parque jurasico 123</td>
                    <td>15/11/2020</td>
                    <td class="icon-table">
                        <i class="fas fa-pen-square"></i>
                        <i class="fas fa-minus-square"></i>
                        <button>Ver más</button>
                    </td>                           
                  </tr>

                  <tr>
                    <td>Juanito Esteban</td>
                    <td>Perez Huachimingo</td>
                    <td>32</td>
                    <td>huachimingo.p@gmail.com</td>
                    <td>Parque jurasico 123</td>
                    <td>15/11/2020</td>
                    <td class="icon-table">
                        <i class="fas fa-pen-square"></i>
                        <i class="fas fa-minus-square"></i>
                        <button>Ver más</button>
                    </td>                           
                  </tr>

                  <tr>
                    <td>Juanito Esteban</td>
                    <td>Perez Huachimingo</td>
                    <td>32</td>
                    <td>huachimingo.p@gmail.com</td>
                    <td>Parque jurasico 123</td>
                    <td>15/11/2020</td>
                    <td class="icon-table">
                        <i class="fas fa-pen-square"></i>
                        <i class="fas fa-minus-square"></i>
                        <button>Ver más</button>
                    </td>                           
                  </tr>

                  <tr>
                    <td>Juanito Esteban</td>
                    <td>Perez Huachimingo</td>
                    <td>32</td>
                    <td>huachimingo.p@gmail.com</td>
                    <td>Parque jurasico 123</td>
                    <td>15/11/2020</td>
                    <td class="icon-table">
                        <i class="fas fa-pen-square"></i>
                        <i class="fas fa-minus-square"></i>
                        <button>Ver más</button>
                    </td>                           
                  </tr>

                  <tr>
                    <td>Juanito Esteban</td>
                    <td>Perez Huachimingo</td>
                    <td>32</td>
                    <td>huachimingo.p@gmail.com</td>
                    <td>Parque jurasico 123</td>
                    <td>15/11/2020</td>
                    <td class="icon-table">
                        <i class="fas fa-pen-square"></i>
                        <i class="fas fa-minus-square"></i>
                        <button>Ver más</button>
                    </td>                           
                  </tr>

                  <tr>
                    <td>Juanito Esteban</td>
                    <td>Perez Huachimingo</td>
                    <td>32</td>
                    <td>huachimingo.p@gmail.com</td>
                    <td>Parque jurasico 123</td>
                    <td>15/11/2020</td>
                    <td class="icon-table">
                        <i class="fas fa-pen-square"></i>
                        <i class="fas fa-minus-square"></i>
                        <button>Ver más</button>
                    </td>                           
                  </tr>

                  <tr>
                    <td>Juanito Esteban</td>
                    <td>Perez Huachimingo</td>
                    <td>32</td>
                    <td>huachimingo.p@gmail.com</td>
                    <td>Parque jurasico 123</td>
                    <td>15/11/2020</td>
                    <td class="icon-table">
                        <i class="fas fa-pen-square"></i>
                        <i class="fas fa-minus-square"></i>
                        <button>Ver más</button>
                    </td>                           
                  </tr>

                  <tr>
                    <td>Juanito Esteban</td>
                    <td>Perez Huachimingo</td>
                    <td>32</td>
                    <td>huachimingo.p@gmail.com</td>
                    <td>Parque jurasico 123</td>
                    <td>15/11/2020</td>
                    <td class="icon-table">
                        <i class="fas fa-pen-square"></i>
                        <i class="fas fa-minus-square"></i>
                        <button>Ver más</button>
                    </td>                           
                  </tr>
                 
                  
                  
                </tbody>
              </table>
    </div>
</section>
<!-- section close -->

{% endblock %}

MobikeApp/templates/MobikeApp/admin-reportes.html
{% extends 'MobikeApp/base/base.html' %}
{% load static %}
{%block nav%}
<nav>
    <ul id="mainmenu">    
        <li><a href="{% url 'Admin-mobike' %}">Atras</a></li>                            
        <li><a href="{% url 'Login' %}">Cerrar sesion</a></li>
    </ul>
</nav>
{%endblock%}

{% block content %}
<!-- section begin -->
<section id="section-about" class="report">
    <div class="container">

            <div class="row">
                <div class="col-md-6 col-md-offset-3 text-center">
                    <h1 class="animated h3" data-animation="fadeInUp">Reportes estadisticos
                        <span class="small-border animated" data-animation="fadeInUp"></span>
                    </h1>                           
                </div>
            </div>



            <canvas class="canvas" id="myChart" width="700" height="300"></canvas>

            <div class="cont-canvas">
                <canvas class="canvas" id="myChart2" width="600" height="250"></canvas>
                <canvas class="canvas" id="myChart3" width="600" height="250"></canvas>
            </div>
            
    </div>
</section>
<!-- section close -->
{% endblock %}

MobikeApp/templates/MobikeApp/admin.html
{% extends 'MobikeApp/base/base.html' %}
{% load static %}
{%block nav%}
<nav>
    <ul id="mainmenu">                              
        <li><a href="{% url 'Login' %}">Cerrar sesion</a></li>
    </ul>
</nav>
{%endblock%}
{% block content %}

<!-- section begin -->
<section id="section-about">
    <div class="container">

            <div class="row">
                <div class="col-md-6 col-md-offset-3 text-center">
                    <h1 class="" data-animation="fadeInUp">Sistema de administracion Mobike
                        <span class="small-border animated" data-animation="fadeInUp"></span>
                    </h1>
                    
                    <span class="id-color h3"> Elija una opcion</span>                 
                </div>
            </div>
            
            <!-- featured box begin -->
            <div class="col-lg-12 ejemplo">

                <div class="feature-box-small-icon box-fx center col-lg-4" data-animation="fadeInUp" data-delay="0">
                    <div class="inner">
                        <div class="front">
                            <i class="icon-profile-male"></i>
                            <h3>Gestionar Usuarios</h3>
                            <span></span>
                        </div>
                        <div class="info">
                            Realiza acciones de gestion y administracion sobre los usuarios del sistema
                            <br>
                            <a href="{% url 'GestionarUsuarios' %}" class="btn btn-border">Ingresar</a>
                        </div>
                    </div>
                </div>
                <!-- featured box close -->
                 
            <div class="feature-box-small-icon box-fx center col-lg-4" data-animation="fadeInUp" data-delay="200">
                <div class="inner">
                    <div class="front">
                        <i class="icon-linegraph"></i>
                        <h3>Reportes</h3>
                        <span></span>
                    </div>
                    <div class="info">
                        Visualiza y descarga reportes estadisticos de tráfico y de transacciones
                        <br>
                        <a href="{% url 'Admin-Reportes' %}" class="btn btn-border">Ingresar</a>
                    </div>
                </div>
            </div>
        </div>
               
    </div>
</section>
<!-- section close -->
{% endblock %}

MobikeApp/templates/MobikeApp/base/base.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Mobike</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Responsive Minimal Bootstrap Theme">
    <meta name="keywords" content="onepage,responsive,minimal,bootstrap,theme">
    <meta name="author" content="">

   
    {% load static %}
    <!-- CSS Files
    ================================================== -->
    <link rel="stylesheet" href="{% static 'MobikeApp/css/bootstrap.css' %}" type="text/css">
    <link rel="stylesheet" href="{% static 'MobikeApp/css/jpreloader.css' %}" type="text/css">
    <link rel="stylesheet" href="{% static 'MobikeApp/css/animate.css' %}" type="text/css">
    <link rel="stylesheet" href="{% static 'MobikeApp/css/flexslider.css' %}" type="text/css">
    <link rel="stylesheet" href="{% static 'MobikeApp/css/plugin.css' %}" type="text/css">
    <link rel="stylesheet" href="{% static 'MobikeApp/css/prettyPhoto.css' %}" type="text/css">
    <link rel="stylesheet" href="{% static 'MobikeApp/css/owl.carousel.css' %}" type="text/css">
    <link rel="stylesheet" href="{% static 'MobikeApp/css/owl.theme.css' %}" type="text/css">
    <link rel="stylesheet" href="{% static 'MobikeApp/css/owl.transitions.css' %}" type="text/css">
    <link rel="stylesheet" href="{% static 'MobikeApp/css/style.css' %}" type="text/css">
    
    <!-- custom style css -->
    <link rel="stylesheet" href="{% static 'MobikeApp/css/custom-style.css' %}" type="text/css">

    <!-- color scheme -->
    <link rel="stylesheet" href="{% static 'MobikeApp/css/color.css' %}" type="text/css">

    <!-- revolution slider -->
    <link rel="stylesheet" href="{% static 'MobikeApp/rs-plugin/css/settings.css' %}" type="text/css">
    <link rel="stylesheet" href="{% static 'MobikeApp/css/rev-settings.css' %}" type="text/css">

    <!-- load fonts -->
    <link rel="stylesheet" href="{% static 'MobikeApp/fonts/font-awesome/css/font-awesome.css' %}" type="text/css">
    <link rel="stylesheet" href="{% static 'MobikeApp/fonts/elegant_font/HTML_CSS/style.css' %}" type="text/css">
    <link rel="stylesheet" href="{% static 'MobikeApp/fonts/et-line-font/style.css' %}" type="text/css">

    <!-- chart.js styles -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.min.css">
</head>

<body id="homepage">

    <!-- This section is for Splash Screen -->
    <div id="jSplash">
        <section class="selected">
            Cargando
        </section>
        <section>
            Obteniendo informacion
        </section>
        <section>
            Gracias por preferirnos
        </section>
    </div>
    <!-- End of Splash Screen -->


    <div id="wrapper">
        <div class="page-overlay">
        </div>


        <!-- header begin -->
        <header>
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <!-- logo begin -->
                        <h1 id="logo">
                            <a href="index.html">
                                <img class="logo-1 logo-mb" src="{% static 'MobikeApp/images/logo-MO.png' %}" alt="">
                                <img class="logo-2" src="{% static 'MobikeApp/images/logo-MO2.png' %}" alt="">
                            </a>
                        </h1>
                        <!-- logo close -->

                        <!-- small button begin -->
                        <span id="menu-btn"></span>
                        <!-- small button close -->
                    {% block nav%}
                        <!-- mainmenu begin -->
                        <nav>
                            <ul id="mainmenu">                                
                                <li><a href="{% url 'Login' %}">Iniciar sesión</a></li>
                                <li><a href="{% url 'Registro' %}">Registro</a></li>
                            </ul>
                        </nav>
                    {% endblock %}
                    <!-- mainmenu close -->
                </div>
            </div>
        </header>
        <!-- header close -->

        {% block content %}

        {% endblock %}
     
        <!-- Javascript Files
    ================================================== -->
    <script src="{% static 'MobikeApp/js/jquery.min.js' %}"></script>
    <script src="{% static 'MobikeApp/js/jpreLoader.js' %}"></script>
    <script src="{% static 'MobikeApp/js/bootstrap.min.js' %}"></script>
    <script src="{% static 'MobikeApp/js/jquery.isotope.min.js' %}"></script>
    <script src="{% static 'MobikeApp/js/jquery.prettyPhoto.js' %}"></script>
    <script src="{% static 'MobikeApp/js/easing.js' %}"></script>
    <script src="{% static 'MobikeApp/js/jquery.ui.totop.js' %}"></script>
    <script src="{% static 'MobikeApp/js/jquery.flexslider-min.js' %}"></script>
    <script src="{% static 'MobikeApp/js/jquery.scrollto.js' %}"></script>
    <script src="{% static 'MobikeApp/js/owl.carousel.js' %}"></script>
    <script src="{% static 'MobikeApp/js/jquery.countTo.js' %}"></script>
    <script src="{% static 'MobikeApp/js/classie.js' %}"></script>
    <script src="{% static 'MobikeApp/js/video.resize.js' %}"></script>
    <script src="{% static 'MobikeApp/js/validation.js' %}"></script>
    <script src="{% static 'MobikeApp/js/jquery.stellar.min.js' %}"></script>
    <script src="{% static 'MobikeApp/js/designesia.js' %}"></script>
    
    <!-- Chart.js  -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.bundle.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.bundle.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.js"></script>
    <script src="{% static 'MobikeApp/js/reportes.js' %}"></script>

    <!-- SLIDER REVOLUTION SCRIPTS  -->
    <script type="text/javascript" src="{% static 'MobikeApp/rs-plugin/js/jquery.themepunch.plugins.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'MobikeApp/rs-plugin/js/jquery.themepunch.revolution.min.js' %}"></script>

</body>
</html>

MobikeApp/templates/MobikeApp/funcionario-reportes.html
{% extends 'MobikeApp/base/base.html' %}
{% load static %}
{%block nav%}
<nav>
    <ul id="mainmenu">    
        <li><a href="{% url 'Funcionario' %}">Atras</a></li>                            
        <li><a href="{% url 'Login' %}">Cerrar sesion</a></li>
    </ul>
</nav>
{%endblock%}

{% block content %}
<!-- section begin -->
<section id="section-about" class="report">
    <div class="container">

            <div class="row">
                <div class="col-md-6 col-md-offset-3 text-center">
                    <h1 class="animated h3" data-animation="fadeInUp">Reportes estadisticos
                        <span class="small-border animated" data-animation="fadeInUp"></span>
                    </h1>                           
                </div>
            </div>



            <canvas class="canvas" id="myChart" width="700" height="300"></canvas>

            <div class="cont-canvas">
                <canvas class="canvas" id="myChart2" width="600" height="250"></canvas>
                <canvas class="canvas" id="myChart3" width="600" height="250"></canvas>
            </div>
            
    </div>
</section>
<!-- section close -->
{% endblock %}

MobikeApp/templates/MobikeApp/funcionario.html
{% extends 'MobikeApp/base/base.html' %}
{% load static %}
{%block nav%}
<nav>
    <ul id="mainmenu">                                
        <li><a href="{% url 'Login' %}">Cerrar sesion</a></li>
    </ul>
</nav>
{%endblock%}


{% block content %}
<!-- section begin -->
<section id="section-about" class="report">
    <div class="container">

        <div class="row">
            <div class="col-md-6 col-md-offset-3 text-center">
                <h1 class="" data-animation="fadeInUp">Sistema de administracion Mobike para funcionarios
                <span class="small-border animated" data-animation="fadeInUp"></span>
                </h1>

                <span class="id-color h3"> Elija una opcion</span>                 
            </div>
        </div>
        <p class="text-center">
            <div class="col-lg-12 ejemplo">
            <div class="feature-box-small-icon box-fx center col-lg-4" data-animation="fadeInUp" data-delay="200">
                <div class="inner">
                    <div class="front">
                        <i class="icon-linegraph"></i>
                        <h3>Reportes</h3>
                        <span></span>
                    </div>
                    <div class="info">
                        Visualiza y descarga reportes estadisticos de tráfico y de transacciones
                        <br>
                        <a href="{% url 'FuncionarioReportes' %}" class="btn btn-border">Ingresar</a>
                    </div>
                </div>
            </div>
        </div>
        </p>

            
    </div>
</section>
<!-- section close -->
{% endblock %}

MobikeApp/templates/MobikeApp/inicio.html
<html>
    <body>
        
       {% if form.errors %}

       <p style="color: red;">Por favor revisa este campo</p>

       {% endif %}

       <form action="" method="POST">
        {% csrf_token %}

        <table>
            {{ form.as_table }}
        </table>

        <input type="submit" value="Iniciar sesion">

       </form>
         
    </body>
</html>

MobikeApp/templates/MobikeApp/inicioMal.html
<html>
    <body>
        
        INICIO DE SESION INCORRECTO

    </body>
</html>

MobikeApp/templates/MobikeApp/login.html
{% extends 'MobikeApp/base/base.html' %}
{% load static %}
{% block content %}

        <!-- content begin -->
        <div id="content" class="no-bottom no-top">

            

            <!-- section begin -->
<section id="section-contact" class="dark" data-stellar-background-ratio=".2">
    <div class="container">
        <div class="row cont-iniciar">
            <div class="col-md-12 text-center">
                <h1 class="" data-animation="fadeInUp">Iniciar <span class="id-color">sesión</span>
                <span class="small-border animated" data-animation="fadeInUp"></span>
                </h1>

            </div>

            <div  class="col-md-12 " data-animation="fadeInUp" data-delay="200" data-speed="5">
                <form action="" method="POST" class="form text-center">
                    {% csrf_token %}
            
                    <style>
                        #id_usuario,#id_password{
                            background-color: black;
                            color: gray;
                        }
                    </style>
                    <p><input id="id_usuario" type="text" name="usuario" class="form-control" placeholder="Nombre de usuario" required></p>
                    <p><input id="id_password" type="password" name="password" class="form-control" placeholder="Contraseña"></p>

                    <br>
                    <input type="submit" class="btn btn-warning" value="Iniciar sesion">
            
                </form>
                   <!--<div class="">
                        <div id='name_error' class='error'>Debe ingresar su nombre de usuario</div>
                        <div>
                            <input type='text' name='name' id='name' class="form-control" placeholder="Nombre de usuario">
                        </div>
                    </div>
                    <div class="">
                        <div id='email_error' class='error'>Debe ingresar su contraseña </div>
                        <div>
                            <input type='text' name='email' id='email' class="form-control" placeholder="Contraseña">
                        </div>
                    </div>
                    
                    <div id='mail_success' class='success'>Your message has been sent successfully.</div>
                    <div id='mail_fail' class='error'>Sorry, error occured this time sending your message.</div>
                    -->
                   

            </div>

            
        </div>
    </div>
</section>
<!-- section close -->

            
        </div>
    </div>

{% endblock %}  

MobikeApp/templates/MobikeApp/usuario.html
{% extends 'MobikeApp/base/base.html' %}
{% load static %}

{%block nav%}
<nav>
    <ul id="mainmenu">                                
        <li><a href="{% url 'Login' %}">Cerrar sesion</a></li>
    </ul>
</nav>
{%endblock%}

{% block content %}
<!-- section begin -->
<section id="section-about" class="report">
    <div class="container">

            <div class="row">
                <div class="col-md-6 col-md-offset-3 text-center">
                    <h1 class="animated h3" data-animation="fadeInUp">Buscar en mapa
                        <span class="small-border animated" data-animation="fadeInUp"></span>
                    </h1>                           
                </div>
            </div>

            <p class="text-center">
                <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d26632.629423375096!2d-70.56543715555966!3d-33.44725666353609!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x9662ce6aa173a115%3A0x14eaa870edb3c922!2sLa%20Reina%2C%20Regi%C3%B3n%20Metropolitana!5e0!3m2!1ses!2scl!4v1604339801387!5m2!1ses!2scl" width="800" height="600" frameborder="0" style="border:0;" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe></p>
            

           
            
    </div>
</section>
<!-- section close -->
{% endblock %}